// Définition de la table des Appareils
/*********************************************************************/
// par TCO_Web (Utpeca) le 24/06/2022
typedef struct 
{
  char   etaApp;    // état de l'appareil ( de '1' à '4')
  char   typApp;    // type de l'appareil ('A', 'J', 'T', 'S')
  byte   noMot1;    // No du 1er moteur (de 1 à 8)
  byte   noMot2;    // No du 2me moteur (de 1 à 8)
} appareil;

appareil t_App[NBMOT] = 
{
  {'1', 'S', 1, 0},
  {'1', 'T', 2, 3},
  {'1', ' ', 0, 0},
  {'1', ' ', 0, 0},
  {'1', ' ', 0, 0},
  {'1', ' ', 0, 0},
  {'1', ' ', 0, 0},
  {'1', ' ', 0, 0}
};

// Remplacer %CONSTRUIRE_TCO% par la table des images dans la page web
/*********************************************************************/
String processor(const String& var)
{
  if (var == "CONSTRUIRE_TCO")
  {
    String tco = "";
    tco += "<table border='0' cellspacing='0' cellpadding='0'><tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/Sign.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/VirG1_180.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/VirD1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp1=ChangeAigS(posApp1, 'Aig1', 'AigS1', '')\"> <img class='img1' src='http://utpeca.free.fr/TCO/AigS1_E1.png' name='imgAig1'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp2=ChangeAigT(posApp2, 'Aig2', 'AigT1', '180')\"> <img class='img1' src='http://utpeca.free.fr/TCO/AigT1_E1_180.png' name='imgAig2'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5_180.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/VirD1_180.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/VirG1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "</table>\n";
    return tco;
  }
  else if (var == "IMAGE_WEB")   { return img_Web; }
  else if (var == "VALEUR_APP1") { return String(t_App[0].etaApp); }
  else if (var == "VALEUR_APP2") { return String(t_App[1].etaApp); }
  else if (var == "VALEUR_APP3") { return String(t_App[2].etaApp); }
  else if (var == "VALEUR_APP4") { return String(t_App[3].etaApp); }
  else if (var == "VALEUR_APP5") { return String(t_App[4].etaApp); }
  else if (var == "VALEUR_APP6") { return String(t_App[5].etaApp); }
  else if (var == "VALEUR_APP7") { return String(t_App[6].etaApp); }
  else if (var == "VALEUR_APP8") { return String(t_App[7].etaApp); }
  else return String();
}
