// Définition de la table des Appareils
/*********************************************************************/
// par TCO_Web (Utpeca) le 24/06/2022
typedef struct 
{
  char   etaApp;    // état de l'appareil ( de '1' à '4')
  char   typApp;    // type de l'appareil ('A', 'J', 'T', 'S')
  byte   noMot1;    // No du 1er moteur (de 1 à 8)
  byte   noMot2;    // No du 2me moteur (de 1 à 8)
} appareil;

appareil t_App[NBMOT] = 
{
  {'3', 'J', 1, 2},
  {'1', 'A', 3, 0},
  {'2', 'J', 4, 5},
  {'3', 'J', 6, 7},
  {'1', 'A', 8, 0},
  {'1', ' ', 0, 0},
  {'1', ' ', 0, 0},
  {'1', ' ', 0, 0}
};
/*  tco += "<h4><input type='hidden' id='Tjd1' value=\""+etaApp1+"\">\n";
    tco += "<h4><input type='hidden' id='Aig2' value=\""+etaApp2+"\">\n";
    tco += "<h4><input type='hidden' id='Tjd3' value=\""+etaApp3+"\">\n";
    tco += "<h4><input type='hidden' id='Tjd4' value=\""+etaApp4+"\">\n";
    tco += "<h4><input type='hidden' id='Aig5' value=\""+etaApp5+"\">\n";*/

// Remplacer %CONSTRUIRE_TCO% par la table des images dans la page web
/*********************************************************************/
String processor(const String& var)
{
  if (var == "CONSTRUIRE_TCO")
  {
    String tco = "";
    tco += "<table border='0' cellspacing='0' cellpadding='0'><tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/Sign.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/VirG1_180.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5_180.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp1=ChangeTjd(posApp1, 'Tjd1', 'Crois1', '')\"> <img class='img1' src='http://utpeca.free.fr/TCO/Crois1_E3.png' name='imgTjd1'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5_180.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/BgHd1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5.png'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp2=ChangeAig(posApp2, 'Aig2', 'AigD1', '')\"> <img class='img1' src='http://utpeca.free.fr/TCO/AigD1_E1.png' name='imgAig2'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp3=ChangeTjd(posApp3, 'Tjd3', 'Crois1', '')\"> <img class='img1' src='http://utpeca.free.fr/TCO/Crois1_E2.png' name='imgTjd3'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5_180.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp4=ChangeTjd(posApp4, 'Tjd4', 'Crois2', '')\"> <img class='img1' src='http://utpeca.free.fr/TCO/Crois2_E3.png' name='imgTjd4'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <a href='javascript:;' onClick=\"posApp5=ChangeAig(posApp5, 'Aig5', 'AigG1', '')\"> <img class='img1' src='http://utpeca.free.fr/TCO/AigG1_E1.png' name='imgAig5'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5_180.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/BgHd1_090.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "<tr>\n";
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/VirD1_180.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/H1.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/But5_180.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "<td> <img class='img1' src='http://utpeca.free.fr/TCO/vide.png'></td>\n"; 
    tco += "</tr>\n";
    tco += "</table>\n";
    return tco;
  }
  else if (var == "IMAGE_WEB")   { return img_Web; }
  else if (var == "VALEUR_APP1") { return String(t_App[0].etaApp); }
  else if (var == "VALEUR_APP2") { return String(t_App[1].etaApp); }
  else if (var == "VALEUR_APP3") { return String(t_App[2].etaApp); }
  else if (var == "VALEUR_APP4") { return String(t_App[3].etaApp); }
  else if (var == "VALEUR_APP5") { return String(t_App[4].etaApp); }
  else if (var == "VALEUR_APP6") { return String(t_App[5].etaApp); }
  else if (var == "VALEUR_APP7") { return String(t_App[6].etaApp); }
  else if (var == "VALEUR_APP8") { return String(t_App[7].etaApp); }
  else return String();
}
